Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13919/?format=api
{ "ob_id": 13919, "uuid": "4aba1697ab3041148f1e5191679411dc", "title": "HiTemp: High Density Temperature measurements within the Urban Birmingham Conurbation.", "abstract": "Temperature data from a high density network of meteorological sensors installed within the Birmingham conurbation: low-cost, battery-powered WiFi Aginova Sentinel Micro air temperature sensors were operated at 73 stations between 2012-14.\r\n\r\nThese measurements have been made by the Birmingham Urban Climate Laboratory (BUCL) for the HiTemp (High Density Measurements within the Urban Environment) project in order to study the Birmingham Urban Heat Island (UHI)", "keywords": "HiTemp, BUCL, UHI, network of sensors, urban heat island", "publicationState": "citable", "dataPublishedTime": "2015-01-20T12:00:00", "doiPublishedTime": "2016-03-01T16:06:30", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13927/?format=api", "dataPath": "/badc/hitemp/data/ASM_Data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 469044072, "numberOfFiles": 9267, "fileFormat": "Data are BADC-CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3781/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/775/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69538/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69539/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69540/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69541/?format=api" ], "dataLineage": "Data received from BUCL team and stored at CEDA. Converted to BADC-csv format by CEDA staff", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8801/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13923/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14315/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53473/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53462/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53463/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53474/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53472/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53475/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53459/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53460/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55770/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55771/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55772/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55773/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55774/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13922/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }